Bug 446807 - suspend/resume on HP nw8440 not working (with fix)
suspend/resume on HP nw8440 not working (with fix)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 04:33 EDT by Michael Class
Modified: 2013-03-05 22:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:10:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal output of nw8440 (119.74 KB, text/plain)
2008-05-16 04:33 EDT, Michael Class
no flags Details

  None (edit)
Description Michael Class 2008-05-16 04:33:12 EDT
Description of problem:
In Fedora 9 (same was true for 8) on my HP nw8440 Laptop suspend to ram does not
work. (more detailed: suspend works, but resume does not!)


Version-Release number of selected component (if applicable):
Fedora 9 i386 with current patchlevel (as of May 16th 2008)


How reproducible:
call: /usr/sbin/pm-suspend as root
Laptop suspends
press power button, laptop starts up again, but display stays blank

Steps to Reproduce:
1. as root: /usr/sbin/pm-suspend
2. wait until laptop is suspended
3. press power-button 
  
Actual results:
Laptop boots up, but display stays blank

Expected results:
Latop boots up, resumes with everything working

Additional info:
The issue is the entry in the following file:
/usr/share/hal/fdi/information/10freedesktop/20-video-quirk-pm-hp.fdi

<match key="system.hardware.product"
contains_outof="nc2400;nc6120;nc6320;nx7300;nw8440;6710b">
        <merge key="power_management.quirk.vbe_post" type="bool">true</merge>
        <merge key="power_management.quirk.vbemode_restore" type="bool">true</merge>

which sets the two quirks vbe_post and vbemode_restore for the nw8440.

Alt least for my nw8440 this is wrong. My nw8440 suspends and resumes (and btw.
 hiberates) perfectly if these quirks are NOT set.

For me I have changed the sequence to:
 <match key="system.hardware.product"
contains_outof="nc2400;nc6120;nc6320;nx7300;6710b">
        <merge key="power_management.quirk.vbe_post" type="bool">true</merge>
        <merge key="power_management.quirk.vbemode_restore" type="bool">true</merge>

but I am not sure if this will be correct for all nw8440 in the world.

The "lshal" output for my nw8440 is attached.

Thank you!
Comment 1 Michael Class 2008-05-16 04:33:12 EDT
Created attachment 305658 [details]
lshal output of nw8440
Comment 2 Richard Hughes 2008-05-30 07:41:45 EDT
Does this fix still need applying with F9? if so, please email the hal
development mailing list and we'll review your quirk there. Thanks.
Comment 3 Michael Class 2008-05-30 08:21:37 EDT
Yes, this is true for Fedora 8 as well a 9! I have sent this infor now to the
hal development mailing list.
Comment 4 Scott Glaser 2009-04-09 14:07:04 EDT
Michael,
Are you still running Fedora 9, or have you upgraded to 10 or Rawhide? In
either case, can you let us know whether the issue is still happening, and give
the current version of the HAL packages you're using?
Comment 5 Michael Class 2009-04-10 03:05:47 EDT
Hello Scott,

the situation is as follows:

The nw8440 is currently running a fully patched Fedora 10 release. (With hal 0.5.12)

Note: I am using the radeohd driver for Xorg (the ati driver behaves somewhat differently)

The issue still persists, the laptop only suspends and resumes cleanly if no quirks are used. The default is:

 power_management.quirk.dpms_on = true  (bool)
 power_management.quirk.dpms_suspend = true  (bool)
 power_management.quirk.vbe_post = true  (bool)
 power_management.quirk.vbemode_restore = true  (bool)
 power_management.quirk.vbestate_restore = true  (bool)
 power_management.quirk.vga_mode_3 = true  (bool)

This does not work! If I remove the nw8440 entry in the 
20-video-quirk-pm-hp.fdi file and add a new section:

     <!-- Note: nw8440 test by MC -->
      <match key="system.hardware.product" contains_outof="nw8440">
        <merge key="power_management.quirk.vbe_post" type="bool">false</merge>
        <merge key="power_management.quirk.vbemode_restore" type="bool">false</merge>
        <merge key="power_management.quirk.vbestate_restore" type="bool">false</merge>
        <merge key="power_management.quirk.s3_bios" type="bool">false</merge>
        <merge key="power_management.quirk.s3_mode" type="bool">false</merge>
      </match>

everything works again.

Note: in Fedora 8 and 9 it was sufficient to remove the nw8440 reference, now I do need the explicit switching off of the quirks!

lshal then delivers:

  power_management.quirk.s3_bios = false  (bool)
  power_management.quirk.s3_mode = false  (bool)
  power_management.quirk.vbe_post = false  (bool)
  power_management.quirk.vbemode_restore = false  (bool)
  power_management.quirk.vbestate_restore = false  (bool)


This makes me a happy camper again!

Short notice on xorg drivers: With the ati driver I do have a slightely different behaviour. Without my changes, I can suspend and resume, but do not get a display back. But if I do switch VTs after resume (CTRL-ALT-F2 and then ALT-F1) I do get the display back. This is not the case with radeonhd.
Comment 6 Bug Zapper 2009-06-09 20:53:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 11:10:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.